package org.pacemaker.models;

import static com.google.common.base.Objects.toStringHelper;

import android.os.Parcel;
import android.os.Parcelable;

import com.google.common.base.Objects;

public class Activity implements Parcelable
{
  public Long id;
  public String type;
  public String location;
  public double distance;

  public Activity()
  {
  }
  
  public Activity(String type, String location, double distance)
  {
    this.type      = type;
    this.location  = location;
    this.distance  = distance;
  }
  
  public Activity(Activity activity)
  {
    this.type = activity.type;
    this.location = activity.location;
    this.distance = activity.distance;
  }

  @Override
  public String toString()
  {
    return toStringHelper(this).addValue(type).addValue(location).addValue(distance).toString();
  }

  @Override
  public boolean equals(final Object obj)
  {
    if (obj instanceof Activity)
    {
      final Activity other = (Activity) obj;
      return Objects.equal(type, other.type) && Objects.equal(location, other.location)
          && Objects.equal(distance, other.distance);
    }
    else
    {
      return false;
    }
  }

  @Override
  public int hashCode()
  {
    return Objects.hashCode(this.id, this.type, this.location, this.distance);
  }

  public Activity(Parcel in)
  {
    this.type = in.readString();
    this.location = in.readString();
    this.distance = in.readDouble();
  }

  @Override
  public int describeContents()
  {
    return 0;
  }

  @Override
  public void writeToParcel(Parcel dest, int flags)
  {
    dest.writeString(type);
    dest.writeString(location);
    dest.writeDouble(distance);
  }

  public static final Parcelable.Creator<Activity> CREATOR = new Parcelable.Creator<Activity>()
  {
    public Activity createFromParcel(Parcel in)
    {
      return new Activity(in);
    }

    public Activity[] newArray(int size)
    {
      return new Activity[size];
    }
  };
}